

var x_20l = 1;


var x_20m  = 3;

var x_20n = null;

function x_20o(x_20p) {
x_20n = new x_20q(x_20p)
return x_20n;
}

function x_20q(x_20p) {
this.x_20r     = false;
this.x_20s  = x_20p;
this.x_20t  = 680;
this.x_20u = 530;
this.x_20v         = "./";
this.x_20w = false;
this.x_20x = {
x_20y:  "Kerio Exception Report Wizard",
x_20z:  "Please replace this text with a brief description what you were doing when this exception occurred (e.g. removing a rule, changing settings, etc.)",
x_210:      "Kerio",
x_211:       "",
x_212:      {
x_213:  1,
0:            "Error reporting can be set in Settings / Miscellaneous."
}
};
}

x_20q.prototype.x_214 = function(x_215, x_216) {
this.x_20t  = x_215;
this.x_20u = x_216;
}

x_20q.prototype.x_217 = function(x_218, x_219, x_21a) {
this.x_21b = x_218;
this.x_21c       = x_219;
this.x_21d      = x_21a;
}

x_20q.prototype.x_21e = function(x_21f) {
this.x_21g = x_21f;
}

x_20q.prototype.x_21h = function(x_21i) {
this.x_20w = x_21i;
}

x_20q.prototype.x_21j = function(x_21k) {
if (!x_21k || (x_21k.length == 0)) {
return;		}
this.x_20v = x_21k;
if ('' !== x_21k && x_21k.substr(x_21k.length - 1, 1) != "/") {
this.x_20v += "/";
}
}

x_20q.prototype.x_21l = function() {
this.x_21m();
this.x_21n();
this.x_21o();
if (this.x_20s != x_20m) {
window.onerror = this.x_21p;
}
}

x_20q.prototype.x_21n = function() {
if (this.x_20w != false) {
var x_21q = '<input type="text" name="object" value="' + this.x_20w['object'] + '">' +
'<input type="text" name="method" value="' + this.x_20w['method'] + '">' +
'<input type="text" name="params">' + '<input type="text" name="token" value="' + this.x_20w['token'] + '">';
}
else {
var x_21q = '<input type="text" name="FormAction" value="ToggleJsErrorReporting">' +
'<input type="text" name="ErrorReporting" value="">';
}
this.x_21r = '<form method="post" action="' + this.x_21g + '">' +
x_21q +
'<input type="submit" value="submit">' +
'</form>';
}

x_20q.prototype.x_21o = function() {
var x_211 = '';
var x_21s = '';
var x_212 = '';
if (this.x_20x.x_211 != '') {
x_211 = '\'s ' + this.x_20x.x_211;
x_21s = this.x_20x.x_211;
}
else {
x_21s = this.x_20x.x_210;
}
var x_21t = '<li style="list-style-type:square; padding-left:10px;">';
var x_21u = '</li>';
var x_21v = 'No other data except the information stated here will be sent to Kerio Technologies.';
x_212 = x_21t + x_21v + x_21u;
for (i = 0; i < this.x_20x.x_212.x_213; i++) {
x_212 += x_21t + this.x_20x.x_212[i] + x_21u
}
this.x_21w = {
1:  '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">\n' +
'<html>\n' +
'<head>\n' +
' <meta http-equiv="Content-type" content="text/html; charset=utf-8">\n' +
' <title>' + this.x_20x.x_20y + '</title>\n' +
'<style type="text/css">\n' +
'.crashTable {\n' +
'  font: 11px Tahoma, Verdana, sans-serif;\n' +
'  width: 100%;\n' +
'  table-layout: fixed;\n' +
'}\n' +
'.crashTable TD {\n' +
'  padding: 2px;\n' +
'}\n' +
'BODY {\n' +
'  font: 11px Tahoma, Verdana, sans-serif;\n' +
'  margin: 0px;\n' +
'  padding: 0px;\n' +
'  height: 100%;\n' +
'  background-color: ButtonFace;\n' +
'}\n' +
'</style>\n' +
'</head>\n' +
'<script type="text/javascript">\n' +
'function x_21x(x_21y){\n' +
'    var x_21z = null;\n' +
'    if (x_21y == null) {\n' +
'      x_21y = window;\n' +
'    }\n' +
'    if (x_21y != null){\n' +
'      if (x_21y.dialogArguments != null) {\n' +
'	     x_21z = x_21y.dialogArguments;\n' +
'	   }\n' +
'      if (x_21z == null){\n' +
'        if (x_21y.opener != null){\n' +
'          x_21z = x_21y.opener;\n' +
'        }\n' +
'      }\n' +
'    }\n' +
'    if (x_21z != null){\n' +
'      if (x_21z.closed) x_21z = null;\n' +
'    }\n' +
'    return x_21z;\n' +
'}\n' +
'  function x_220() {\n' +
'	 var x_221 = window.document.getElementById(\'StopReporting\').checked ? ' + x_20m + ' : ' + x_20l + '; \n' +
'    var x_222 = window.CommandFrame.document; \n' +
'    x_222.body.innerHTML = \'' + this.x_21r + '\';\n' +
(
(this.x_20w != false)
? '	 x_222.forms[0].params.value = \'' + this.x_20w["params"] + '\'.replace("VALUE", x_221);\n'
: '	 x_222.forms[0].ErrorReporting.value = x_221;\n'
) +
'	 x_222.forms[0].submit();\n' +
'    return;\n' +
'  }\n' +
'  function x_223() {\n' +
'    var x_224 = x_21x();\n' +
'    if (x_224) {\n' +
'      x_224.x_20n.x_20r = false;\n' +
'    }\n' +
'    document.getElementById(\'EmptyComment\').value = ((document.getElementById(\'comment\').value == \'' + this.x_20x.x_20z + '\') ? 1 : 0);\n' +
'  }\n' +
'  function x_225() {\n' +
'    var x_224 = x_21x();\n' +
'    if (x_224) {\n' +
'      x_224.x_20n.x_20r = false;\n' +
'    }\n' +
'    window.close();\n' +
'  }\n' +
'</script>\n' +
'<body onload="this.focus();">\n' +
'<div style="padding: 5px">\n' +
'<h3>Unexpected exception occured in ' + x_21s + '</h3>\n' +
'<p align="justify">An exception has occurred in ' + this.x_20x.x_210 + x_211 +
'. Use this window to report this exception to Kerio Technologies so that we may assist in resolving the issue. We apologize for any inconvenience.</p>\n' +
'<form action="https://assist.kerio.com/assist/report.php" method="post" onsubmit="x_223(); return true;">\n' +
'<table class="crashTable" border="0" cellpadding="0" cellspacing="0">\n' +
'<colgroup><col width="90"><col></colgroup>\n' +
'<tr><td>Message: </td><td>',
2:  '</td></tr>\n' +
'<tr><td>File:</td><td nowrap>',
3:  '</td></tr>\n' +
'<tr><td>Line:</td><td>',
4:  '</td></tr>\n' +
'<tr><td>Product&nbsp;version:</td><td>',
5:  '</td></tr>\n' +
'<tr><td>Server&nbsp;OS:</td><td>',
6:  '</td></tr>\n' +
'<tr><td>User&nbsp;agent:</td><td>',
7:  '</td></tr>\n' +
'<tr><td><div style="width: 90px">E-mail&nbsp;(optional):</div></td><td align="left"><input type="text" name="Email" size="40"></td></tr>\n' +
'<tr><td valign="top">User&nbsp;comment:</td><td><textarea name="comment" id="comment" rows="10" cols="60">' + this.x_20x.x_20z + '</textarea></td></tr>\n' +
(
this.x_21g
? '<tr><td>&nbsp;</td><td align="left"><input type="checkbox" Id="StopReporting" onclick="x_220();"><label for="StopReporting">Do not show this window in future (error reporting will be disabled)</label></td></tr>\n'
: ''
) +
'</table><br>\n' +
'<input type="hidden" name="Message" value="',
8:  '">\n' +
'<input type="hidden" name="Url" value="',
9:  '">\n' +
'<input type="hidden" name="Line" value="',
10:  '">\n' +
'<input type="hidden" name="ProductVersion" value="',
11:  '">\n' +
'<input type="hidden" name="ServerOs" value="',
12:  '">\n' +
'<input type="hidden" name="UserAgent" value="',
13:  '">\n' +
'<b>Notice:</b><br>' + x_212 +
'<input type="hidden" name="EmptyComment" id="EmptyComment" value="1">' +
'<hr><div align="right"><input type="submit" value="Send error report">&nbsp;&nbsp;<input type="reset" onclick="x_225();" value="Don\'t send"></div>\n' +
'</form>\n' +
'</div>\n' +
'<iframe name="CommandFrame" style="width: 1px; height: 1px; border: 0px;" src="' + this.x_20v + 'waclient_empty_page.php">\n' +
'  <html><body></body></html>\n' +
'</iframe>\n' +
'</body>\n' +
'</html>\n'
};
}

x_20q.prototype.x_21p = function(x_226, x_227, x_228) {
if (!x_20n || x_20n.x_20s == x_20m) {
return false;
}
if (x_20n.x_20r) {
return true;				}
x_20n.x_20r = true;
x_227 = (x_227 == null) ? "N/A" : x_20n.x_229(x_227);
if (x_226 == null) {
x_226 = "N/A";
}
if (x_228 == null) {
x_228 = "N/A";
}
var x_22a = window.open(
x_20n.x_20v + "waclient_empty_page.php",
"CrashDump",
"width=" + x_20n.x_20t +
", height=" + x_20n.x_20u +
", resizable=yes"
);
if (x_22a == null) {
return false;
}
x_22a.document.open();
x_22a.document.write(
x_20n.x_21w[1] + x_20n.x_22b(x_226) +
x_20n.x_21w[2] + x_20n.x_22b(x_227) +
x_20n.x_21w[3] + x_20n.x_22b(String(x_228)) +
x_20n.x_21w[4] + x_20n.x_22b(x_20n.x_21b) +
x_20n.x_21w[5] + x_20n.x_22b(x_20n.x_21c) +
x_20n.x_21w[6] + x_20n.x_22b(x_20n.x_21d) +
x_20n.x_21w[7] + x_20n.x_22b(x_226) +
x_20n.x_21w[8] + x_20n.x_22b(x_227) +
x_20n.x_21w[9] + x_20n.x_22b(String(x_228)) +
x_20n.x_21w[10] + x_20n.x_22b(x_20n.x_21b) +
x_20n.x_21w[11] + x_20n.x_22b(x_20n.x_21c) +
x_20n.x_21w[12] + x_20n.x_22b(x_20n.x_21d) +
x_20n.x_21w[13]
);
x_22a.document.close();
x_22a.window.onblur = x_22a.window.focus();
return true;
}

x_20q.prototype.x_22b = function(x_22c) {
x_22c = x_22c.replace(/&/g, '&amp;');
x_22c = x_22c.replace(/\x22/g, '&quot;');
x_22c = x_22c.replace(/&\x27/g, '&#039;');
x_22c = x_22c.replace(/</g, '&lt;');
x_22c = x_22c.replace(/>/g, '&gt;');
return x_22c;
}

x_20q.prototype.x_229 = function(x_227) {
var x_22d = /https?:\/\/([\w.-]+)(:(\d+))?\/(\S*)/;
var x_21z = x_227.match(x_22d);
if (x_21z != null) {
return x_21z[4];
}
}

x_20q.prototype.x_21m = function(x_22e) {
if (x_22e && x_22e.x_20y) {
this.x_20x.x_20y = x_22e.x_20y;
}
if (x_22e && x_22e.x_20z) {
this.x_20x.x_20z = x_22e.x_20z;
}
if (x_22e && x_22e.x_210) {
this.x_20x.x_210 = x_22e.x_210;
}
if (x_22e && x_22e.x_211) {
this.x_20x.x_211 = x_22e.x_211;
}
if (x_22e && x_22e.x_212) {
this.x_20x.x_212 = x_22e.x_212;
}
}